path: /build/build/libinput-dev-libs-1.19.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc input_devices_wacom" emerge dev-libs/libinput -pv -t && \
    USE="-doc input_devices_wacom" emerge -j ${JOBS}  dev-libs/libinput
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libinput && luet-portage --dir /pkgdir/libinput
    dev-libs/libinput && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:063676bd5c534de7037e8639caa708d1b1da04851b484dfc40e340a6fe5c4397
  package:
    name: libinput
    version: 1.19.4+1
    category: dev-libs
    use_flags:
    - -doc
    - input_devices_wacom
    requires:
    - name: mtdev
      version: '>=0'
      category: sys-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library to handle input devices in Wayland
    uri:
    - https://www.freedesktop.org/wiki/Software/libinput/ https://gitlab.freedesktop.org/libinput/libinput
    license: MIT
    buildtimestamp: 2024-02-21 09:34:29.919531732 +0000 UTC m=+223.237469721
    labels:
      BDEPEND: virtual/pkgconfig doc? ( || ( ( dev-lang/python:3.10 dev-python/commonmark[python_targets_python3_10(-),python_single_target_python3_10(+)]
        dev-python/recommonmark[python_targets_python3_10(-),python_single_target_python3_10(+)]
        dev-python/sphinx[python_targets_python3_10(-),python_single_target_python3_10(+)]
        >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 dev-python/commonmark[python_targets_python3_8(-),python_single_target_python3_8(+)]
        dev-python/recommonmark[python_targets_python3_8(-),python_single_target_python3_8(+)]
        dev-python/sphinx[python_targets_python3_8(-),python_single_target_python3_8(+)]
        >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/commonmark[python_targets_python3_9(-),python_single_target_python3_9(+)]
        dev-python/recommonmark[python_targets_python3_9(-),python_single_target_python3_9(+)]
        dev-python/sphinx[python_targets_python3_9(-),python_single_target_python3_9(+)]
        >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/commonmark[python_targets_python3_7(-),python_single_target_python3_7(+)]
        dev-python/recommonmark[python_targets_python3_7(-),python_single_target_python3_7(+)]
        dev-python/sphinx[python_targets_python3_7(-),python_single_target_python3_7(+)]
        >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) >=app-doc/doxygen-1.8.3 >=media-gfx/graphviz-2.38.0 ) >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2 virtual/pkgconfig
      DEPEND: input_devices_wacom? ( >=dev-libs/libwacom-0.27 ) >=dev-libs/libevdev-1.9
        >=sys-libs/mtdev-1.1 virtual/libudev:= virtual/udev
      IUSE: doc input_devices_wacom
      RDEPEND: input_devices_wacom? ( >=dev-libs/libwacom-0.27 ) >=dev-libs/libevdev-1.9
        >=sys-libs/mtdev-1.1 virtual/libudev:= virtual/udev
      emerge.packages: dev-libs/libinput
      kit: gnome-kit
      original.package.name: dev-libs/libinput
      original.package.slot: "0"
      original.package.version: 1.19.4
    treedir: /build/packages
  package_dir: /pkgdir/libinput
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ac1999c8c7024b299fc33a76d1f56528c736d6a51de6d60e960f35971ec9ed53
compressiontype: zstd
files:
- lib/udev/libinput-device-group
- lib/udev/libinput-fuzz-extract
- lib/udev/libinput-fuzz-to-zero
- lib/udev/rules.d/80-libinput-device-groups.rules
- lib/udev/rules.d/90-libinput-fuzz-override.rules
- usr/bin/libinput
- usr/include/libinput.h
- usr/lib64/libinput.so
- usr/lib64/libinput.so.10
- usr/lib64/libinput.so.10.13.0
- usr/lib64/pkgconfig/libinput.pc
- usr/libexec/libinput/libinput-analyze
- usr/libexec/libinput/libinput-analyze-per-slot-delta
- usr/libexec/libinput/libinput-analyze-recording
- usr/libexec/libinput/libinput-analyze-touch-down-state
- usr/libexec/libinput/libinput-debug-events
- usr/libexec/libinput/libinput-debug-tablet
- usr/libexec/libinput/libinput-list-devices
- usr/libexec/libinput/libinput-measure
- usr/libexec/libinput/libinput-measure-fuzz
- usr/libexec/libinput/libinput-measure-touch-size
- usr/libexec/libinput/libinput-measure-touchpad-pressure
- usr/libexec/libinput/libinput-measure-touchpad-size
- usr/libexec/libinput/libinput-measure-touchpad-tap
- usr/libexec/libinput/libinput-quirks
- usr/libexec/libinput/libinput-record
- usr/libexec/libinput/libinput-replay
- usr/share/doc/libinput-1.19.4/README.md.bz2
- usr/share/libinput/10-generic-keyboard.quirks
- usr/share/libinput/10-generic-lid.quirks
- usr/share/libinput/10-generic-mouse.quirks
- usr/share/libinput/10-generic-trackball.quirks
- usr/share/libinput/30-vendor-a4tech.quirks
- usr/share/libinput/30-vendor-aiptek.quirks
- usr/share/libinput/30-vendor-alps.quirks
- usr/share/libinput/30-vendor-contour.quirks
- usr/share/libinput/30-vendor-cypress.quirks
- usr/share/libinput/30-vendor-elantech.quirks
- usr/share/libinput/30-vendor-ibm.quirks
- usr/share/libinput/30-vendor-kensington.quirks
- usr/share/libinput/30-vendor-logitech.quirks
- usr/share/libinput/30-vendor-madcatz.quirks
- usr/share/libinput/30-vendor-microsoft.quirks
- usr/share/libinput/30-vendor-razer.quirks
- usr/share/libinput/30-vendor-starlabs.quirks
- usr/share/libinput/30-vendor-synaptics.quirks
- usr/share/libinput/30-vendor-trust.quirks
- usr/share/libinput/30-vendor-vmware.quirks
- usr/share/libinput/30-vendor-wacom.quirks
- usr/share/libinput/50-framework.quirks
- usr/share/libinput/50-system-acer.quirks
- usr/share/libinput/50-system-apple.quirks
- usr/share/libinput/50-system-asus.quirks
- usr/share/libinput/50-system-chicony.quirks
- usr/share/libinput/50-system-chuwi.quirks
- usr/share/libinput/50-system-cyborg.quirks
- usr/share/libinput/50-system-dell.quirks
- usr/share/libinput/50-system-gigabyte.quirks
- usr/share/libinput/50-system-google.quirks
- usr/share/libinput/50-system-gpd.quirks
- usr/share/libinput/50-system-hp.quirks
- usr/share/libinput/50-system-huawei.quirks
- usr/share/libinput/50-system-lenovo.quirks
- usr/share/libinput/50-system-pine64.quirks
- usr/share/libinput/50-system-prestigio.quirks
- usr/share/libinput/50-system-purism.quirks
- usr/share/libinput/50-system-sony.quirks
- usr/share/libinput/50-system-system76.quirks
- usr/share/libinput/50-system-toshiba.quirks
- usr/share/man/man1/libinput-analyze-per-slot-delta.1.bz2
- usr/share/man/man1/libinput-analyze-recording.1.bz2
- usr/share/man/man1/libinput-analyze-touch-down-state.1.bz2
- usr/share/man/man1/libinput-analyze.1.bz2
- usr/share/man/man1/libinput-debug-events.1.bz2
- usr/share/man/man1/libinput-debug-tablet.1.bz2
- usr/share/man/man1/libinput-list-devices.1.bz2
- usr/share/man/man1/libinput-measure-fuzz.1.bz2
- usr/share/man/man1/libinput-measure-touch-size.1.bz2
- usr/share/man/man1/libinput-measure-touchpad-pressure.1.bz2
- usr/share/man/man1/libinput-measure-touchpad-size.1.bz2
- usr/share/man/man1/libinput-measure-touchpad-tap.1.bz2
- usr/share/man/man1/libinput-measure.1.bz2
- usr/share/man/man1/libinput-quirks-list.1.bz2
- usr/share/man/man1/libinput-quirks-validate.1.bz2
- usr/share/man/man1/libinput-quirks.1.bz2
- usr/share/man/man1/libinput-record.1.bz2
- usr/share/man/man1/libinput-replay.1.bz2
- usr/share/man/man1/libinput.1.bz2
- usr/share/zsh/site-functions/_libinput
- var/db/pkg/dev-libs/libinput-1.19.4/BDEPEND
- var/db/pkg/dev-libs/libinput-1.19.4/BUILD_TIME
- var/db/pkg/dev-libs/libinput-1.19.4/CATEGORY
- var/db/pkg/dev-libs/libinput-1.19.4/CBUILD
- var/db/pkg/dev-libs/libinput-1.19.4/CFLAGS
- var/db/pkg/dev-libs/libinput-1.19.4/CHOST
- var/db/pkg/dev-libs/libinput-1.19.4/CONTENTS
- var/db/pkg/dev-libs/libinput-1.19.4/COUNTER
- var/db/pkg/dev-libs/libinput-1.19.4/CXXFLAGS
- var/db/pkg/dev-libs/libinput-1.19.4/DEFINED_PHASES
- var/db/pkg/dev-libs/libinput-1.19.4/DEPEND
- var/db/pkg/dev-libs/libinput-1.19.4/DESCRIPTION
- var/db/pkg/dev-libs/libinput-1.19.4/EAPI
- var/db/pkg/dev-libs/libinput-1.19.4/FEATURES
- var/db/pkg/dev-libs/libinput-1.19.4/HOMEPAGE
- var/db/pkg/dev-libs/libinput-1.19.4/INHERITED
- var/db/pkg/dev-libs/libinput-1.19.4/IUSE
- var/db/pkg/dev-libs/libinput-1.19.4/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libinput-1.19.4/KEYWORDS
- var/db/pkg/dev-libs/libinput-1.19.4/LDFLAGS
- var/db/pkg/dev-libs/libinput-1.19.4/LICENSE
- var/db/pkg/dev-libs/libinput-1.19.4/NEEDED
- var/db/pkg/dev-libs/libinput-1.19.4/PF
- var/db/pkg/dev-libs/libinput-1.19.4/PROVIDES
- var/db/pkg/dev-libs/libinput-1.19.4/RDEPEND
- var/db/pkg/dev-libs/libinput-1.19.4/REQUIRES
- var/db/pkg/dev-libs/libinput-1.19.4/RESTRICT
- var/db/pkg/dev-libs/libinput-1.19.4/SIZE
- var/db/pkg/dev-libs/libinput-1.19.4/SLOT
- var/db/pkg/dev-libs/libinput-1.19.4/USE
- var/db/pkg/dev-libs/libinput-1.19.4/environment.bz2
- var/db/pkg/dev-libs/libinput-1.19.4/libinput-1.19.4.ebuild
- var/db/pkg/dev-libs/libinput-1.19.4/repository
package_cacheimage: ""
runtime:
  name: libinput
  version: 1.19.4+1
  category: dev-libs
  use_flags:
  - -doc
  - input_devices_wacom
  requires:
  - name: libevdev
    version: '>=0'
    category: dev-libs
  - name: libwacom
    version: '>=0'
    category: dev-libs
  - name: mtdev
    version: '>=0'
    category: sys-libs
  - name: libudev
    version: '>=0'
    category: virtual
  - name: udev
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library to handle input devices in Wayland
  uri:
  - https://www.freedesktop.org/wiki/Software/libinput/ https://gitlab.freedesktop.org/libinput/libinput
  license: MIT
  labels:
    BDEPEND: virtual/pkgconfig doc? ( || ( ( dev-lang/python:3.10 dev-python/commonmark[python_targets_python3_10(-),python_single_target_python3_10(+)]
      dev-python/recommonmark[python_targets_python3_10(-),python_single_target_python3_10(+)]
      dev-python/sphinx[python_targets_python3_10(-),python_single_target_python3_10(+)]
      >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 dev-python/commonmark[python_targets_python3_8(-),python_single_target_python3_8(+)]
      dev-python/recommonmark[python_targets_python3_8(-),python_single_target_python3_8(+)]
      dev-python/sphinx[python_targets_python3_8(-),python_single_target_python3_8(+)]
      >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/commonmark[python_targets_python3_9(-),python_single_target_python3_9(+)]
      dev-python/recommonmark[python_targets_python3_9(-),python_single_target_python3_9(+)]
      dev-python/sphinx[python_targets_python3_9(-),python_single_target_python3_9(+)]
      >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/commonmark[python_targets_python3_7(-),python_single_target_python3_7(+)]
      dev-python/recommonmark[python_targets_python3_7(-),python_single_target_python3_7(+)]
      dev-python/sphinx[python_targets_python3_7(-),python_single_target_python3_7(+)]
      >=dev-python/sphinx_rtd_theme-0.2.4[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) >=app-doc/doxygen-1.8.3 >=media-gfx/graphviz-2.38.0 ) >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2 virtual/pkgconfig
    DEPEND: input_devices_wacom? ( >=dev-libs/libwacom-0.27 ) >=dev-libs/libevdev-1.9
      >=sys-libs/mtdev-1.1 virtual/libudev:= virtual/udev
    IUSE: doc input_devices_wacom
    RDEPEND: input_devices_wacom? ( >=dev-libs/libwacom-0.27 ) >=dev-libs/libevdev-1.9
      >=sys-libs/mtdev-1.1 virtual/libudev:= virtual/udev
    emerge.packages: dev-libs/libinput
    kit: gnome-kit
    original.package.name: dev-libs/libinput
    original.package.slot: "0"
    original.package.version: 1.19.4
